complexType "ValuationReportRetracted"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 attributes, 12 elements
Defined: | globally in fpml-valuation-reporting-5-3.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "4"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId[0..2], sequenceNumber??)?, onBehalfOf[0..4]?, reportIdentification?, reportContents?, asOfDate?, partyTradeIdentifier*, party*, account*
</...>

Content Model Elements (12):

  account, asOfDate (in valuationReportRetracted), correlationId, header (defined in NotificationMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), parentCorrelationId, | party (defined in PartiesAndAccounts.model group), partyTradeIdentifier (in valuationReportRetracted), reportContents (in valuationReportRetracted), reportIdentification (in valuationReportRetracted), sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (1):

  valuationReportRetracted

Known Usage Locations

- As direct type of elements (1):
  valuationReportRetracted

Annotation
A type defining the content model for a message that retracts a valuation report. This says that the most recently supplied valuation is erroneous and a previous value should be used.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) NotificationMessage (extension) ValuationReportRetracted

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="ValuationReportRetracted"> <xsd:complexContent> <xsd:extension base="NotificationMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="reportIdentification" type="ReportIdentification"/> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/> <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:group ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 4/12)
asOfDate

  Type: | IdentifiedDate, simple content

  The date for which this request was generated.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="IdentifiedDate"/>

partyTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  One or more trade identifiers needed to uniquely identify a trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="partyTradeIdentifier" type="PartyTradeIdentifier"/>

reportContents

  Type: | ReportContents, complex content

  The specific characteristics included in the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/>

reportIdentification

  Type: | ReportIdentification, complex content

  Identifiers for the report instance and section.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportIdentification" type="ReportIdentification"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.